--TEST--
bug #7214, zip_entry_read() binary safe
--SKIPIF--
<?php 
if(!extension_loaded('zip')) die('skip');

 ?>
--FILE--
<?php
$thisdir = dirname(__FILE__);
$src = $thisdir . "/bug8009.zip";
$filename = $thisdir . "/tmp8009.zip";
copy($src, $filename);

$zip = new Zip();

if (!$zip->open($filename)) {
       exit("cannot open $filename\n");
}
$zip->addFromString("2.txt", "=)");

unlink($filename);
$zip->close();

echo "status: " . $zip->status . "\n";
echo "\n";

--EXPECT--
status: 0
